
#include "ui.h"

lv_obj_t * ui_scrn;
lv_obj_t * ui_sliderimage;
lv_obj_t * ui_Slider;
lv_obj_t * ui_backgroundimage;

void ui_scrn_screen_init(void)
{
    ui_scrn = lv_obj_create(NULL);
    lv_obj_clear_flag(ui_scrn, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_scrn, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_scrn, 255, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_sliderimage = lv_img_create(ui_scrn);
    lv_img_set_src(ui_sliderimage, &ui_img_logo_png);
    lv_obj_set_width(ui_sliderimage, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_sliderimage, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_sliderimage, 98);
    lv_obj_set_y(ui_sliderimage, 78);
    lv_obj_clear_flag(ui_sliderimage, LV_OBJ_FLAG_SCROLLABLE);      /// Flags

    ui_Slider = lv_slider_create(ui_sliderimage);
    lv_obj_set_style_base_dir(ui_Slider, LV_BASE_DIR_RTL, 0);
    lv_slider_set_value(ui_Slider, 0, LV_ANIM_OFF);
    lv_obj_set_width(ui_Slider, 300);
    lv_obj_set_height(ui_Slider, 360);
    lv_obj_set_align(ui_Slider, LV_ALIGN_CENTER);
    lv_obj_set_style_radius(ui_Slider, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_Slider, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_Slider, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    lv_obj_set_style_radius(ui_Slider, 0, LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_Slider, lv_color_hex(0x000000), LV_PART_INDICATOR | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_Slider, 100, LV_PART_INDICATOR | LV_STATE_DEFAULT);

    lv_obj_set_style_radius(ui_Slider, 0, LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_Slider, lv_color_hex(0x000000), LV_PART_KNOB | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_Slider, 0, LV_PART_KNOB | LV_STATE_DEFAULT);

    ui_backgroundimage = lv_img_create(ui_scrn);
    lv_img_set_src(ui_backgroundimage, &ui_img_background_png);
    lv_obj_set_width(ui_backgroundimage, LV_SIZE_CONTENT);
    lv_obj_set_height(ui_backgroundimage, LV_SIZE_CONTENT);
    lv_obj_set_align(ui_backgroundimage, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_backgroundimage, LV_OBJ_FLAG_SCROLLABLE);

}

void ui_init(void)
{
    lv_disp_t * dispp = lv_disp_get_default();

    lv_theme_t * theme = lv_theme_default_init(
        dispp,
        lv_palette_main(LV_PALETTE_BLUE),
        lv_palette_main(LV_PALETTE_RED),
        false,
        LV_FONT_DEFAULT
    );

    lv_disp_set_theme(dispp, theme);
    ui_scrn_screen_init();
    lv_disp_load_scr(ui_scrn);
}
